geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kevan Miller <>
Subject Re: [v1.1.1] Classloader problem
Date Wed, 22 Aug 2007 19:06:58 GMT

On Aug 22, 2007, at 11:50 AM, David Jencks wrote:

> On Aug 22, 2007, at 1:59 AM, Damien Barthe wrote:
>> Hello,
>> thanks for the tip.
>> I try to put the spring lib and the spring app into the /lib  
>> directory of
>> the EAR. I also try to "install" these JAR in Geronimo (it put the  
>> lib in
>> the "repository")...and unfortunately the 2 webapps continue to  
>> have a
>> different instance of the Service...
>> (NB : I use geronimo v1.1.1 . Perhaps it's not possible with this  
>> version. I
>> try with the v2 but I've some problem in the deployement of the EAR)
> The lib directory in ear definitely only works with geronimo 2.  If  
> you try with geronimo 2.0.1 what goes wrong?

I gave the app a try on 2.0.1. It's running into a Spring conflict on  
Jetty. Something else is going on in Tomcat. I'll create a deployment  
plan for Jetty. May need to look a bit more at Tomcat...


> If you need to stick with g 1.1.1 then I believe if you put the lib  
> jars in the repository and add them as dependencies in geronimo- 
> application.xml to the ear's environement (NOT both of the web-app  
> environments) the classes should be loaded in the ear classloader  
> and you should get only one copy of spring.

View raw message